<?php

	/**
	 * Flipper Poll Configuration
	 */
	
	error_reporting(0);
	
	include('configuration.php');
	
	// Check if Installation is needed
	if( !@mysql_query("SELECT * FROM ".FP_PREFIX."polloptions") && file_exists("install.php") )
	{
		header("Location: install.php");
	}
	
	$poll_options = $flipper_poll->getPollOptions();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $site_title; ?></title>
<!-- Google Fonts -->
<link href="http://fonts.googleapis.com/css?family=Josefin+Slab:regular,bold" rel="stylesheet" type="text/css">
<link href="css/ui-lightness/jquery-ui-1.8.7.custom.css" rel="stylesheet" type="text/css" media="screen" />
<link href="css/main.css" rel="stylesheet" type="text/css" media="screen" />
<?php if( $default_theme > 1 && $default_theme <= 5 ){ ?>
<link href="css/style<?php echo $default_theme; ?>.css" rel="stylesheet" type="text/css" media="screen" />
<?php } ?>
<script type="text/javascript" src="js/jquery-1.4.4.min.js"></script>
<script type="text/javascript" src="js/jquery-ui-1.8.7.custom.min.js"></script>
<script type="text/javascript" src="js/jquery.flip.js"></script>
<script type="text/javascript" src="js/misc.js"></script>
<!--[if IE 6]>
<link href="css/ie6.css" rel="stylesheet" type="text/css" />
<script src="js/DD_belatedPNG_0.0.8a.js"></script>
<script>
    	DD_belatedPNG.fix('.png');
</script>
<![endif]-->
<!--[if IE 7]>
<style>
	.fp_button span {
		left:-9px;
        top:1px;
	}
</style>
<![endif]-->
</head>

<body>
<div class="fp_wrapper png">
    	<a href="<?php echo $_SERVER["PHP_SELF"]; ?>" class="logo png">Flipper Poll</a>
  <div class="separator png"></div>

<?php
	if( defined("FP_VOTE_SUCCESSFULL") )
	{
		?>
        <div class="success_msg png">
        <?php echo $thank_you_msg; ?>
        </div>
        <?php
	}
	else
	if( defined("FP_ALREADY_VOTED") )
	{
		?>
        <div class="warning_msg png">
        <?php echo $already_voted_msg; ?>
        </div>
        <?php
	}
?>
<div class="fp_env png">
      <div class="fp_inner_cdiv png">
      <?php if( !defined("FP_VIEW_RESULTS") ): ?>
  		<form action="<?php echo $_SERVER["PHP_SELF"]; ?>" method="post" enctype="application/x-www-form-urlencoded" name="fp_form" id="fp_form">
            	<h1><?php echo $poll_title; ?></h1>
                <?php 
					if( count($poll_options) == 0 )
					{
						echo "<center><font color=\"black\" size=\"+2\">There are no poll options added!</font></center>";
					}
					else
					{
				?>
            	<table class="fp_table" border="0" align="center" cellpadding="2" cellspacing="2">
                <?php
					foreach($poll_options as $option)
					{
						$option_id = $option->getId();
						$option_name = $option->getName();
				?>
            	  <tr>
            	    <td width="16"><input type="radio" name="fp_option[]" id="fp_option_<?php echo $option_id; ?>" value="<?php echo $option_id; ?>" /></td>
            	    <td>
                    	<label for="fp_option_<?php echo $option_id; ?>"><?php echo $option_name; ?></label>
                    </td>
          	    </tr>
                <?php
					}
				?>
          	    </tr>
            	  <tr>
            	    <td colspan="2" class="top_padding">
                   	  <div class="fp_poll_button png">
                    	<button id="vote" name="vote" class="fp_button png" type="submit">
                        	<span class="png">
                            	<img src="imgs/vote.png" alt="Vote" class="png" />
                            </span>
                        </button>
                      </div>
                        
                      <div class="fp_poll_results_link">
                      	or <a href="?results">view poll results</a>
                      </div>
                    </td>
           	      </tr>
          	  </table>
              <?php } ?>
            </form>
      	<?php endif; ?>
        <?php if( defined("FP_VIEW_RESULTS") ): ?>
            <div class="fp_results">
            	<h1><?php echo $poll_title; ?></h1>
            	<table class="fp_results_table" border="0" align="center" cellpadding="2" cellspacing="2">
                <?php
					$total_votes = $flipper_poll->votesTotal();
					$votes_max_v = $flipper_poll->votesMaxValue();
					
					foreach($poll_options as $option)
					{
						$option_id = $option->getId();
						$option_name = $option->getName();
						$option_votes = $option->votes();
						
						$percentage = 0;
						
						if( $total_votes > 0 )
						{
							$percentage = 100 * ($option_votes / $total_votes);
							
							if( $optimum_filling && $percentage != 100 )
							{
								$percentage_second = 100 * ( $option_votes / $votes_max_v);
							}
						}
						
						$percentage = number_format($percentage, 1);
						
				?>
            	  <tr>
            	    <td align="right"><?php echo $option_name; ?></td>
            	    <td>
                    	<div class="fp_progress_bar png">
                        	<div class="fill png" style="width:<?php echo intval($percentage_second ? $percentage_second : $percentage); ?>%">
                            </div>
                        </div>
                    </td>
            	    <td>
                    	<span class="percentage"><?php echo $percentage; ?> %</span>
                    </td>
          	    </tr>
                <?php
					}
				?>
          	  </table>
          </div>
        <?php endif; ?>
        </div>
</div>
      
        <div class="copyrights">
        	Copyrights © <?php echo date("Y"); ?>.  Author &lt;<a href="mailto:arlindd@gmail.com">Arlind Nushi</a>&gt;
        </div>
    </div>
</body>
</html>
<?php 
	if( $sql_connection )
	{
		mysql_close($sql_connection); 
	}
?>